package hideandseek.listeners;

import java.lang.invoke.CallSite;
import java.lang.reflect.UndeclaredThrowableException;
import java.lang.invoke.MethodHandle;
import java.lang.invoke.StringConcatFactory;
import java.lang.invoke.MethodType;
import java.lang.invoke.MethodHandles;
import org.bukkit.event.EventHandler;
import org.bukkit.configuration.file.FileConfiguration;
import java.util.Iterator;
import java.util.regex.Matcher;
import org.bukkit.inventory.Inventory;
import hideandseek.Config;
import hideandseek.utils.Utils;
import hideandseek.Customization;
import hideandseek.managers.AchievementsManager;
import org.bukkit.Effect;
import org.bukkit.event.inventory.InventoryAction;
import hideandseek.Perk;
import hideandseek.PlayerData;
import hideandseek.managers.FilesManager;
import org.bukkit.inventory.InventoryHolder;
import org.bukkit.Bukkit;
import java.util.regex.Pattern;
import java.util.ArrayList;
import hideandseek.Arena;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.ChatColor;
import hideandseek.utils.ItemStackBuilder;
import hideandseek.xseries.XMaterial;
import hideandseek.HideAndSeek;
import org.bukkit.inventory.ItemStack;
import org.bukkit.event.Listener;

public class GUIListener implements Listener
{
    ItemStack yes;
    ItemStack no;
    private HideAndSeek plugin;
    
    public GUIListener() {
        this.yes = new ItemStackBuilder(XMaterial.LIME_WOOL.parseItem()).setName(String.valueOf(ChatColor.GREEN) + "确认购买").build();
        this.no = new ItemStackBuilder(XMaterial.RED_WOOL.parseItem()).setName(String.valueOf(ChatColor.RED) + "取消").build();
        this.plugin = HideAndSeek.getInstance();
    }
    
    @EventHandler
    public void PlayerClickInventory(final InventoryClickEvent inventoryClickEvent) {
        final Player player = (Player)inventoryClickEvent.getWhoClicked();
        final ItemStack itemClicked = inventoryClickEvent.getCurrentItem();
        final Inventory inventory = inventoryClickEvent.getInventory();
        final String inventoryTitle = inventoryClickEvent.getView().getTitle();
        final int slotNumber = inventoryClickEvent.getRawSlot();
        if (inventoryTitle.equals(this.plugin.customization.inventories.get("Arenas"))) {
            inventoryClickEvent.setCancelled(true);
            if (slotNumber >= -1 && slotNumber <= inventory.getSize() && itemClicked != null && !itemClicked.getType().equals((Object)Material.AIR)) {
                player.performCommand("has join " + ChatColor.stripColor(inventoryClickEvent.getCurrentItem().getItemMeta().getDisplayName()));
            }
        }
        else if (inventoryTitle.startsWith(String.valueOf(ChatColor.DARK_PURPLE) + "编辑")) {
            inventoryClickEvent.setCancelled(true);
            if (slotNumber >= -1 && slotNumber <= inventory.getSize() && itemClicked != null && !itemClicked.getType().equals((Object)Material.AIR)) {
                if (itemClicked.getType().name().contains("STAINED_GLASS_PANE")) {
                    if (!XMaterial.GRAY_STAINED_GLASS_PANE.isSimilar(itemClicked)) {
                        final boolean var42 = XMaterial.LIME_STAINED_GLASS_PANE.isSimilar(itemClicked);
                        final int var43 = inventoryClickEvent.getSlot() + (var42 ? 9 : -9);
                        final ItemStack var44 = inventory.getItem(var43);
                        final String var45 = var44.getItemMeta().getDisplayName().split(": ")[0];
                        int var46 = Integer.valueOf(ChatColor.stripColor(var44.getItemMeta().getDisplayName()).split(": ")[1]);
                        var46 += (var42 ? 1 : -1);
                        new ItemStackBuilder(var44).setName(var45 + ": " + String.valueOf(ChatColor.GOLD) + var46).build();
                    }
                }
                else {
                    final String inventoryTitleSecondWord = ChatColor.stripColor(inventoryTitle).split(": ")[1];
                    final Arena arena = Arena.valueOf(inventoryTitleSecondWord);
                    if (arena == null) {
                        player.closeInventory();
                    }
                    else if (itemClicked.getType().equals((Object)Material.CHEST)) {
                        player.openInventory(arena.disguisesInventoryEditor);
                    }
                    else if (itemClicked.getItemMeta().hasDisplayName() && (itemClicked.getItemMeta().getDisplayName().contains("房间已启用") || itemClicked.getItemMeta().getDisplayName().contains("房间已禁用"))) {
                        if (itemClicked.getItemMeta().getDisplayName().contains("房间已禁用")) {
                            arena.editor.setItem(40, new ItemStackBuilder(XMaterial.LIME_DYE.parseItem()).setName(String.valueOf(ChatColor.GREEN) + "房间已启用").build());
                        }
                        else {
                            arena.editor.setItem(40, new ItemStackBuilder(XMaterial.GRAY_DYE.parseItem()).setName(String.valueOf(ChatColor.RED) + "房间已禁用").build());
                        }
                    }
                    else if (itemClicked.getType().equals((Object)Material.DIAMOND)) {
                        final long var47 = System.currentTimeMillis();
                        final ArrayList<Integer> config = new ArrayList<Integer>();
                        for (int var48 = 9; var48 < 18; ++var48) {
                            final String string = ChatColor.stripColor(inventoryClickEvent.getInventory().getItem(var48).getItemMeta().getDisplayName());
                            final Pattern pattern = Pattern.compile("\\d+");
                            final Matcher matcher = pattern.matcher(string);
                            while (matcher.find()) {
                                config.add(Integer.valueOf(matcher.group()));
                            }
                        }
                        arena.startingAmountOfSeekers = config.get(0);
                        arena.minHiders = config.get(1);
                        arena.minPlayers = config.get(0) + config.get(1);
                        arena.maxPlayers = config.get(2);
                        arena.lobbyTime = config.get(3);
                        arena.gameTime = config.get(4);
                        arena.give_hider_items_after = config.get(5);
                        arena.hiders_become_solid_after = config.get(6);
                        arena.warn_about_time_every = config.get(7);
                        arena.powerups_spawn_every = config.get(8);
                        final boolean var49 = inventoryClickEvent.getInventory().getItem(40).getItemMeta().getDisplayName().contains("已启用");
                        if ((var49 && arena.state.equals((Object)Arena.ArenaState.DISABLED)) || (!var49 && !arena.state.equals((Object)Arena.ArenaState.DISABLED))) {
                            if (var49) {
                                arena.state = Arena.ArenaState.WAITING;
                                if (arena.scoreboard != null) {
                                    arena.scoreboard.update("%state%", arena.state.text);
                                    arena.scoreboard.update("%timer%", "0:00");
                                }
                            }
                            else {
                                arena.kickAll();
                                arena.state = Arena.ArenaState.DISABLED;
                            }
                            arena.updateSignState();
                        }
                        arena.updateSignPlayers();
                        final ArrayList var50 = new ArrayList();
                        for (int var51 = 0; var51 < 52; ++var51) {
                            final ItemStack var52 = arena.disguisesInventoryEditor.getItem(var51);
                            if (var52 != null) {
                                var50.add(var52);
                            }
                        }
                        arena.disguises = var50;
                        arena.disguisesInventory.clear();
                        int var51 = var50.size();
                        final int var53 = (var51 < 10) ? 9 : ((var51 < 19) ? 18 : ((var51 < 28) ? 27 : ((var51 < 37) ? 36 : ((var51 < 46) ? 45 : 54))));
                        arena.disguisesInventory = Bukkit.createInventory((InventoryHolder)null, var53, (String)this.plugin.customization.inventories.get("Disguise-Selector"));
                        for (final ItemStack var55 : var50) {
                            arena.disguisesInventory.addItem(new ItemStack[] { var55 });
                        }
                        final FileConfiguration var56 = FilesManager.getInstance().getConfig("arenas.yml");
                        var56.set("Arenas." + inventoryTitleSecondWord + ".enabled", (Object)var49);
                        var56.set("Arenas." + inventoryTitleSecondWord + ".startingAmountOfSeekers", (Object)config.get(0));
                        var56.set("Arenas." + inventoryTitleSecondWord + ".minHiders", (Object)config.get(1));
                        var56.set("Arenas." + inventoryTitleSecondWord + ".maxPlayers", (Object)config.get(2));
                        var56.set("Arenas." + inventoryTitleSecondWord + ".lobbyTime", (Object)config.get(3));
                        var56.set("Arenas." + inventoryTitleSecondWord + ".gameTime", (Object)config.get(4));
                        var56.set("Arenas." + inventoryTitleSecondWord + ".give_hider_items_after", (Object)config.get(5));
                        var56.set("Arenas." + inventoryTitleSecondWord + ".hiders_become_solid_after", (Object)config.get(6));
                        var56.set("Arenas." + inventoryTitleSecondWord + ".warn_about_time_every", (Object)config.get(7));
                        var56.set("Arenas." + inventoryTitleSecondWord + ".powerups_spawn_every", (Object)config.get(8));
                        final ArrayList var57 = new ArrayList();
                        for (ItemStack var59 : var50) {
                            var57.add(var59.getType().name() + ((var59.getDurability() > 0) ? (":" + var59.getDurability()) : "") + (var59.getItemMeta().hasDisplayName() ? /* invokedynamic(!) */ProcyonInvokeDynamicHelper_9.invoke(ChatColor.stripColor(var59.getItemMeta().getDisplayName())) : ""));
                        }
                        var56.set("Arenas." + inventoryTitleSecondWord + ".disguises", (Object)var57);
                        FilesManager.getInstance().saveConfig("arenas.yml");
                        arena.updateArenaBuilt();
                        player.closeInventory();
                        player.sendMessage(this.plugin.customization.prefix + String.valueOf(ChatColor.GREEN) + "成功! " + String.valueOf(ChatColor.GOLD) + "你的设置已被应用!消耗 " + String.valueOf(ChatColor.LIGHT_PURPLE) + (System.currentTimeMillis() - var47) + "ms!");
                    }
                }
            }
        }
        else if (inventoryTitle.startsWith(String.valueOf(ChatColor.DARK_RED) + "地图可用方块: ")) {
            if (slotNumber >= -1 && slotNumber <= inventory.getSize() && itemClicked != null && !itemClicked.getType().equals((Object)Material.AIR) && itemClicked.getType().equals((Object)Material.CHEST) && itemClicked.getItemMeta().getDisplayName().equals(String.valueOf(ChatColor.RED) + "返回")) {
                inventoryClickEvent.setCancelled(true);
                final String inventoryTitleSecondWord = ChatColor.stripColor(inventoryTitle).split(" ")[1];
                final Arena arena = Arena.valueOf(inventoryTitleSecondWord);
                if (arena != null) {
                    player.openInventory(arena.editor);
                }
                else {
                    player.sendMessage((String)this.plugin.customization.messages.get("unknown_arena"));
                    player.closeInventory();
                }
            }
        }
        else if (this.plugin.game.contains(player.getName())) {
            inventoryClickEvent.setCancelled(true);
            if (slotNumber < -1 || slotNumber > inventory.getSize() || itemClicked == null || itemClicked.getType().equals((Object)Material.AIR)) {
                return;
            }
            if (inventoryTitle.equals(this.plugin.customization.inventories.get("Disguise-Selector"))) {
                final Arena var60 = this.plugin.playerData.get(player.getName()).arena;
                if (var60.state.equals((Object)Arena.ArenaState.INGAME) || var60.state.equals((Object)Arena.ArenaState.ENDING)) {
                    player.getInventory().remove((ItemStack)var60.playerDisguise.get(player.getName()));
                    final ItemStack var61 = player.getInventory().getItem(8);
                    if (var61 != null && !var61.getType().equals((Object)Material.AIR)) {
                        player.getInventory().addItem(new ItemStack[] { var61 });
                    }
                    player.getInventory().setItem(8, itemClicked);
                    if (itemClicked.getItemMeta().hasDisplayName() && itemClicked.getItemMeta().getDisplayName().contains("Mob: ")) {
                        this.plugin.disguiseManager.disguise(player, itemClicked.getItemMeta().getDisplayName().replace("Mob: ", "").toUpperCase());
                        var60.nonhidden.remove(player.getName());
                        var60.hidden.remove(player.getName());
                    }
                    else {
                        player.getInventory().setHelmet(itemClicked);
                        this.plugin.disguiseManager.disguise(player, itemClicked);
                        if (var60.hidden.contains(player.getName())) {
                            this.plugin.disguisedBlocks.remove(player.getLocation().getBlock().getLocation());
                            var60.hidden.remove(player.getName());
                            var60.nonhidden.add(player.getName());
                            final int var62 = this.plugin.playerData.get(player.getName()).hasPerk(Perk.InstaSolid) ? 1 : var60.hiders_become_solid_after;
                            var60.stillCounter.put(player.getName(), var62);
                            player.setLevel(var62);
                            for (final Player var64 : var60.getPlayers(true)) {
                                var64.showPlayer(player);
                                this.plugin.sendBlockChange(var64, player.getLocation().getBlock().getLocation(), Material.AIR, 0);
                            }
                        }
                    }
                    if (player.getItemInHand().getAmount() > 1) {
                        player.getItemInHand().setAmount(player.getItemInHand().getAmount() - 1);
                    }
                    else {
                        player.setItemInHand(new ItemStack(Material.AIR));
                    }
                }
                var60.playerDisguise.put(player.getName(), itemClicked);
                player.closeInventory();
                player.sendMessage(this.plugin.customization.messages.get("disguise_select").replace("%disguise%", itemClicked.getType().name()));
                return;
            }
            if (inventoryTitle.equals(String.valueOf(ChatColor.DARK_RED) + "Vote")) {
                final String inventoryTitleSecondWord = ChatColor.stripColor(itemClicked.getItemMeta().getDisplayName());
                if (Arena.valueOf(inventoryTitleSecondWord) == null) {
                    return;
                }
                if (inventoryClickEvent.getAction().equals((Object)InventoryAction.PICKUP_ALL)) {
                    byte var65 = 1;
                    if (player.hasPermission("hideandseek.vote.2")) {
                        var65 = 2;
                    }
                    if (player.hasPermission("hideandseek.vote.3")) {
                        var65 = 3;
                    }
                    if (this.plugin.playerData.get(player.getName()).votes.size() == var65) {
                        player.sendMessage((String)this.plugin.customization.messages.get("cant_vote_any_more"));
                        return;
                    }
                    this.plugin.playerData.get(player.getName()).votes.add(inventoryTitleSecondWord);
                    this.plugin.bungeeMode.arenasVotes.put(inventoryTitleSecondWord, this.plugin.bungeeMode.arenasVotes.get(inventoryTitleSecondWord) + 1);
                    player.sendMessage(this.plugin.customization.messages.get("player_vote").replaceAll("%map%", inventoryTitleSecondWord));
                    int var62 = 0;
                    for (final String var66 : this.plugin.playerData.get(player.getName()).votes) {
                        if (var66.equals(inventoryTitleSecondWord)) {
                            ++var62;
                        }
                    }
                    if (var62 == 1) {
                        inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.LIME_STAINED_GLASS_PANE.parseItem());
                    }
                    else if (var62 == 2) {
                        inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.YELLOW_STAINED_GLASS_PANE.parseItem());
                    }
                    else if (var62 == 3) {
                        inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.RED_STAINED_GLASS_PANE.parseItem());
                    }
                    else if (var62 == 0) {
                        inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.GRAY_STAINED_GLASS_PANE.parseItem());
                    }
                }
                else if (inventoryClickEvent.getAction().equals((Object)InventoryAction.PICKUP_HALF)) {
                    final ArrayList var67 = this.plugin.playerData.get(player.getName()).votes;
                    if (var67.contains(inventoryTitleSecondWord)) {
                        var67.remove(inventoryTitleSecondWord);
                        this.plugin.bungeeMode.arenasVotes.put(inventoryTitleSecondWord, this.plugin.bungeeMode.arenasVotes.get(inventoryTitleSecondWord) - 1);
                        int var62 = 0;
                        for (final String var66 : var67) {
                            if (var66.equals(inventoryTitleSecondWord)) {
                                ++var62;
                            }
                        }
                        if (var62 == 1) {
                            inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.LIME_STAINED_GLASS_PANE.parseItem());
                        }
                        else if (var62 == 2) {
                            inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.YELLOW_STAINED_GLASS_PANE.parseItem());
                        }
                        else if (var62 == 0) {
                            inventory.setItem(inventoryClickEvent.getSlot() + 9, XMaterial.GRAY_STAINED_GLASS_PANE.parseItem());
                        }
                    }
                }
                this.plugin.bungeeMode.scoreboard.setNonTrackableScore(inventoryTitleSecondWord, (int)this.plugin.bungeeMode.arenasVotes.get(inventoryTitleSecondWord));
            }
            else {
                if (inventoryTitle.equals(this.plugin.customization.inventories.get("Trails"))) {
                    if (itemClicked.getType().equals((Object)Material.ARROW)) {
                        this.plugin.playerData.get(player.getName()).selectedTrail = null;
                    }
                    else {
                        this.plugin.playerData.get(player.getName()).selectedTrail = Effect.valueOf(ChatColor.stripColor(itemClicked.getItemMeta().getDisplayName()));
                    }
                    player.sendMessage(this.plugin.customization.messages.get("trail_equip").replace("%trail%", itemClicked.getItemMeta().getDisplayName()));
                    return;
                }
                if (AchievementsManager.getInstance().isEnabled() && inventoryTitle.contains(AchievementsManager.getInstance().getGuiTitle())) {
                    inventoryClickEvent.setCancelled(true);
                    final PlayerData var68 = this.plugin.playerData.get(player.getName());
                    if (var68.achievements.handleScroll(player, itemClicked, inventory)) {
                        return;
                    }
                }
                else if (this.plugin.shopping.contains(player.getName())) {
                    if (itemClicked.equals((Object)this.plugin.locked)) {
                        return;
                    }
                    if (inventoryTitle.equals(this.plugin.customization.inventories.get("Shop"))) {
                        if (itemClicked.getType().equals((Object)Material.ANVIL)) {
                            final Inventory var69 = Bukkit.createInventory((InventoryHolder)null, 27, (String)this.plugin.customization.inventories.get("Hider-Chance"));
                            this.fillChanceShop(player, var69);
                            var69.setItem(22, (ItemStack)Customization.getInstance().items.get("Back"));
                            player.openInventory(var69);
                            this.plugin.shopping.add(player.getName());
                            return;
                        }
                        if (itemClicked.getType().equals((Object)Material.ENDER_CHEST)) {
                            final PlayerData var68 = this.plugin.playerData.get(player.getName());
                            if (var68.perks.contains(Perk.DisguiseSelector)) {
                                final ItemStackBuilder var70 = new ItemStackBuilder(Material.EMERALD).setName(String.valueOf(ChatColor.GREEN) + "统计信息").addLore(new String[] { String.valueOf(ChatColor.GRAY) + "你当前拥有 " + String.valueOf(ChatColor.GREEN) + this.plugin.playerData.get(player.getName()).getCoins(player) + String.valueOf(ChatColor.GRAY) + " 枚游戏币!", String.valueOf(ChatColor.GRAY) + "以及 " + String.valueOf(ChatColor.LIGHT_PURPLE) + var68.specialBlocks.size() + String.valueOf(ChatColor.GRAY) + " 种特殊方块!" });
                                var68.specialBlocksShop.setItem(4, var70.build());
                                player.openInventory(var68.specialBlocksShop);
                                this.plugin.shopping.add(player.getName());
                            }
                            else {
                                player.sendMessage((String)this.plugin.customization.messages.get("no_disguise_selector"));
                                player.closeInventory();
                            }
                            return;
                        }
                        if (XMaterial.END_PORTAL_FRAME.isSimilar(itemClicked)) {
                            player.openInventory(this.plugin.perkGroupSelector);
                            this.plugin.shopping.add(player.getName());
                            return;
                        }
                        if (itemClicked.getType().equals((Object)Material.BEACON)) {
                            player.openInventory(this.plugin.karmaShop);
                            this.plugin.shopping.add(player.getName());
                        }
                    }
                    else {
                        if (Utils.compareItem(itemClicked, (ItemStack)Customization.getInstance().items.get("Back"))) {
                            if (inventoryTitle.equals(this.plugin.customization.inventories.get("Perks"))) {
                                player.openInventory(this.plugin.perkGroupSelector);
                            }
                            else {
                                player.openInventory(this.plugin.shopInventory);
                            }
                            this.plugin.shopping.add(player.getName());
                            return;
                        }
                        if (inventoryTitle.equals(this.plugin.customization.inventories.get("Hider-Chance"))) {
                            if (!itemClicked.getType().name().contains("WOOL")) {
                                return;
                            }
                            final PlayerData var68 = this.plugin.playerData.get(player.getName());
                            final int var43 = var68.hiderChance;
                            int var62 = -1;
                            int var71 = -1;
                            for (final int var48 : Config.getInstance().shopChances.keySet()) {
                                if (var48 < var43) {
                                    var71 = var48;
                                }
                                if (var48 > var43) {
                                    var62 = var48;
                                    break;
                                }
                            }
                            if (inventoryClickEvent.getRawSlot() == 8) {
                                if (var62 != -1) {
                                    final int var46 = Config.getInstance().shopChances.get(var62);
                                    if (var68.hasCoins(player, var46)) {
                                        var68.removeCoins(player, var46);
                                        var68.hiderChance = var62;
                                        player.sendMessage((String)this.plugin.customization.messages.get("successful_purchase"));
                                        this.fillChanceShop(player, inventory);
                                    }
                                    else {
                                        player.sendMessage((String)this.plugin.customization.messages.get("not_enough_coins"));
                                    }
                                }
                            }
                            else if (var71 != -1) {
                                final int var46 = Config.getInstance().shopChances.get(var71);
                                if (var68.hasCoins(player, var46)) {
                                    var68.removeCoins(player, var46);
                                    var68.hiderChance = var71;
                                    player.sendMessage((String)this.plugin.customization.messages.get("successful_purchase"));
                                    this.fillChanceShop(player, inventory);
                                }
                                else {
                                    player.sendMessage((String)this.plugin.customization.messages.get("not_enough_coins"));
                                }
                            }
                        }
                        else {
                            if (inventoryTitle.equals(this.plugin.customization.inventories.get("Special-Blocks"))) {
                                final ItemStack var73 = new ItemStackBuilder(itemClicked.clone()).clearLore().build();
                                if (Config.getInstance().shopSpecial.containsKey(var73)) {
                                    final Inventory var74 = Bukkit.createInventory((InventoryHolder)null, 9, (String)this.plugin.customization.inventories.get("Block-Purchase"));
                                    var74.setItem(0, this.yes);
                                    var74.setItem(4, itemClicked);
                                    var74.setItem(8, this.no);
                                    player.openInventory(var74);
                                    this.plugin.shopping.add(player.getName());
                                }
                                return;
                            }
                            if (inventoryTitle.equals(this.plugin.customization.inventories.get("Perk-Type-Selector"))) {
                                final PlayerData var68 = this.plugin.playerData.get(player.getName());
                                final ItemStack var61 = new ItemStackBuilder(Material.EMERALD).setName(String.valueOf(ChatColor.GREEN) + "统计信息").addLore(new String[] { String.valueOf(ChatColor.GRAY) + "你当前拥有 " + String.valueOf(ChatColor.GREEN) + this.plugin.playerData.get(player.getName()).getCoins(player) + String.valueOf(ChatColor.GRAY) + " 枚硬币!", String.valueOf(ChatColor.GRAY) + "以及 " + String.valueOf(ChatColor.LIGHT_PURPLE) + var68.perks.size() + String.valueOf(ChatColor.GRAY) + " 种小技能!" }).build();
                                if (itemClicked.getType().equals((Object)Material.DIAMOND_SWORD)) {
                                    var68.seekerPerksShop.setItem(4, var61);
                                    player.openInventory(var68.seekerPerksShop);
                                }
                                else if (itemClicked.getType().equals((Object)XMaterial.GRASS_BLOCK.parseMaterial())) {
                                    var68.hiderPerksShop.setItem(4, var61);
                                    player.openInventory(var68.hiderPerksShop);
                                }
                                this.plugin.shopping.add(player.getName());
                                return;
                            }
                            if (inventoryTitle.equals(this.plugin.customization.inventories.get("Perks"))) {
                                Perk var75 = null;
                                for (final Perk var77 : Perk.values()) {
                                    if (var77.unpurchased.equals((Object)itemClicked)) {
                                        var75 = var77;
                                        break;
                                    }
                                }
                                if (var75 != null) {
                                    final Inventory var74 = Bukkit.createInventory((InventoryHolder)null, 9, String.valueOf(ChatColor.DARK_RED) + "确认购买此技能!");
                                    var74.setItem(0, this.yes);
                                    var74.setItem(4, itemClicked);
                                    var74.setItem(8, this.no);
                                    player.openInventory(var74);
                                    this.plugin.shopping.add(player.getName());
                                }
                                return;
                            }
                            if (inventoryTitle.equals(this.plugin.customization.inventories.get("Karma-Shop"))) {
                                final Inventory var69 = Bukkit.createInventory((InventoryHolder)null, 9, String.valueOf(ChatColor.DARK_RED) + "确认购买游戏币!");
                                var69.setItem(0, this.yes);
                                var69.setItem(4, itemClicked);
                                var69.setItem(8, this.no);
                                player.openInventory(var69);
                                this.plugin.shopping.add(player.getName());
                                return;
                            }
                            if (inventoryTitle.equals(this.plugin.customization.inventories.get("Block-Purchase"))) {
                                if (itemClicked.equals((Object)this.yes)) {
                                    final ItemStack var73 = new ItemStackBuilder(inventory.getItem(4).clone()).clearLore().build();
                                    if (Config.getInstance().shopSpecial.containsKey(var73)) {
                                        final PlayerData var78 = this.plugin.playerData.get(player.getName());
                                        final int var62 = Config.getInstance().shopSpecial.get(var73);
                                        if (var78.hasCoins(player, var62)) {
                                            var78.specialBlocksShop.remove(inventory.getItem(4));
                                            var78.specialBlocks.add(var73);
                                            var78.removeCoins(player, var62);
                                            final ItemStackBuilder var79 = new ItemStackBuilder(Material.EMERALD).setName(String.valueOf(ChatColor.GREEN) + "统计信息").addLore(new String[] { String.valueOf(ChatColor.GRAY) + "你当前拥有" + String.valueOf(ChatColor.GREEN) + this.plugin.playerData.get(player.getName()).getCoins(player) + String.valueOf(ChatColor.GRAY) + " 枚游戏币!", String.valueOf(ChatColor.GRAY) + "以及 " + String.valueOf(ChatColor.LIGHT_PURPLE) + var78.specialBlocks.size() + String.valueOf(ChatColor.GRAY) + " 种特殊方块!" });
                                            var78.specialBlocksShop.setItem(4, var79.build());
                                            player.sendMessage((String)this.plugin.customization.messages.get("successful_purchase"));
                                            player.openInventory(var78.specialBlocksShop);
                                            this.plugin.shopping.add(player.getName());
                                        }
                                        else {
                                            player.sendMessage((String)this.plugin.customization.messages.get("not_enough_coins"));
                                        }
                                    }
                                }
                                else if (itemClicked.equals((Object)this.no)) {
                                    player.openInventory(this.plugin.playerData.get(player.getName()).specialBlocksShop);
                                    this.plugin.shopping.add(player.getName());
                                }
                                return;
                            }
                            if (inventoryTitle.equals(String.valueOf(ChatColor.DARK_RED) + "确认购买此技能!")) {
                                Perk var75 = null;
                                for (final Perk var77 : Perk.values()) {
                                    if (var77.unpurchased.equals((Object)inventory.getItem(4))) {
                                        var75 = var77;
                                        break;
                                    }
                                }
                                final PlayerData var78 = this.plugin.playerData.get(player.getName());
                                if (itemClicked.equals((Object)this.yes)) {
                                    if (var78.hasCoins(player, var75.cost)) {
                                        var78.perks.add(var75);
                                        var78.removeCoins(player, var75.cost);
                                        AchievementsManager.getInstance().checkPlayer(player, AchievementsManager.AchievementType.PERKS_PURCHASED, var78.perks.size());
                                        final ItemStack var44 = new ItemStackBuilder(Material.EMERALD).setName(String.valueOf(ChatColor.GREEN) + "统计信息").addLore(new String[] { String.valueOf(ChatColor.GRAY) + "你当前拥有 " + String.valueOf(ChatColor.GREEN) + this.plugin.playerData.get(player.getName()).getCoins(player) + String.valueOf(ChatColor.GRAY) + " 枚游戏币!", String.valueOf(ChatColor.GRAY) + "以及 " + String.valueOf(ChatColor.LIGHT_PURPLE) + var78.perks.size() + String.valueOf(ChatColor.GRAY) + " 种小技能!" }).build();
                                        if (!var75.hider) {
                                            var78.seekerPerksShop.setItem(4, var44);
                                            for (int var71 = 19; var71 < 26; ++var71) {
                                                final ItemStack var80 = var78.seekerPerksShop.getItem(var71);
                                                if (var80.equals((Object)var75.unpurchased)) {
                                                    var78.seekerPerksShop.setItem(var71, var75.purchased);
                                                    break;
                                                }
                                            }
                                        }
                                        else {
                                            var78.hiderPerksShop.setItem(4, var44);
                                            for (int var71 = 19; var71 < 26; ++var71) {
                                                final ItemStack var80 = var78.hiderPerksShop.getItem(var71);
                                                if (var80.equals((Object)var75.unpurchased)) {
                                                    var78.hiderPerksShop.setItem(var71, var75.purchased);
                                                    break;
                                                }
                                            }
                                            if (var75.equals((Object)Perk.DisguiseSelector)) {
                                                if (Config.getInstance().bungeeEnabled) {
                                                    if (this.plugin.bungeeMode.selectedArena != null) {
                                                        player.getInventory().addItem(new ItemStack[] { Perk.DisguiseSelector.purchased });
                                                    }
                                                }
                                                else {
                                                    player.getInventory().addItem(new ItemStack[] { Perk.DisguiseSelector.purchased });
                                                }
                                            }
                                        }
                                        player.sendMessage((String)this.plugin.customization.messages.get("successful_purchase"));
                                        player.openInventory(var75.hider ? var78.hiderPerksShop : var78.seekerPerksShop);
                                        this.plugin.shopping.add(player.getName());
                                    }
                                    else {
                                        player.sendMessage((String)this.plugin.customization.messages.get("not_enough_coins"));
                                    }
                                }
                                else if (itemClicked.equals((Object)this.no)) {
                                    player.openInventory(var75.hider ? var78.hiderPerksShop : var78.seekerPerksShop);
                                    this.plugin.shopping.add(player.getName());
                                }
                                return;
                            }
                            if (inventoryTitle.equals(String.valueOf(ChatColor.DARK_RED) + "确认购买游戏币!")) {
                                if (itemClicked.equals((Object)this.yes)) {
                                    final int var81 = Integer.valueOf(ChatColor.stripColor(inventory.getItem(4).getItemMeta().getLore().get(0).split(" ")[1]));
                                    final PlayerData var78 = this.plugin.playerData.get(player.getName());
                                    if (var78.karma >= var81) {
                                        final PlayerData playerData = var78;
                                        playerData.karma -= var81;
                                        var78.addCoins(player, Integer.parseInt(ChatColor.stripColor(inventory.getItem(4).getItemMeta().getDisplayName().split(" ")[0])));
                                        player.sendMessage((String)this.plugin.customization.messages.get("successful_purchase"));
                                        player.openInventory(this.plugin.karmaShop);
                                        this.plugin.shopping.add(player.getName());
                                    }
                                    else {
                                        player.sendMessage((String)this.plugin.customization.messages.get("not_enough_karma"));
                                    }
                                }
                                else if (itemClicked.equals((Object)this.no)) {
                                    player.openInventory(this.plugin.karmaShop);
                                    this.plugin.shopping.add(player.getName());
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    
    public void fillChanceShop(final Player var1, final Inventory var2) {
        final int var3 = this.plugin.playerData.get(var1.getName()).hiderChance;
        final ItemStackBuilder var4 = new ItemStackBuilder(Material.EMERALD).setName(String.valueOf(ChatColor.GREEN) + "统计信息").addLore(new String[] { String.valueOf(ChatColor.GRAY) + "你当前的躲藏者概率: " + String.valueOf(ChatColor.YELLOW) + var3, String.valueOf(ChatColor.GRAY) + "你当前拥有" + String.valueOf(ChatColor.GREEN) + this.plugin.playerData.get(var1.getName()).getCoins(var1) + String.valueOf(ChatColor.GRAY) + " 枚游戏币!" });
        var2.setItem(4, var4.build());
        int var5 = -1;
        int var6 = -1;
        for (final int var8 : Config.getInstance().shopChances.keySet()) {
            if (var8 < var3) {
                var6 = var8;
            }
            if (var8 > var3) {
                var5 = var8;
                break;
            }
        }
        final ItemStackBuilder var9 = new ItemStackBuilder(XMaterial.LIME_WOOL.parseItem()).setName(String.valueOf(ChatColor.GREEN) + "增加 (+)");
        if (var5 == -1) {
            var9.addLore(new String[] { String.valueOf(ChatColor.RED) + "已达到上限" });
        }
        else {
            var9.addLore(new String[] { String.valueOf(ChatColor.GRAY) + "这将增加你成为躲藏者的概率至", String.valueOf(ChatColor.GRAY), String.valueOf(ChatColor.YELLOW) + String.valueOf(var5) }).addLore(new String[] { " ", String.valueOf(ChatColor.GOLD) + "价格: " + String.valueOf(ChatColor.YELLOW) + String.valueOf(Config.getInstance().shopChances.get(var5)) });
        }
        var2.setItem(8, var9.build());
        final ItemStackBuilder var10 = new ItemStackBuilder(XMaterial.RED_WOOL.parseItem()).setName(String.valueOf(ChatColor.RED) + "减少 (-)");
        if (var6 == -1) {
            var10.addLore(new String[] { String.valueOf(ChatColor.RED) + "已达到下限" });
        }
        else {
            var10.addLore(new String[] { String.valueOf(ChatColor.GRAY) + "这将减少你成为躲藏者的概率至", String.valueOf(ChatColor.GRAY) }).addLore(new String[] { String.valueOf(ChatColor.YELLOW) + String.valueOf(var6), " ", String.valueOf(ChatColor.GOLD) + "价格: " + String.valueOf(ChatColor.YELLOW) + String.valueOf(Config.getInstance().shopChances.get(var6)) });
        }
        var2.setItem(0, var10.build());
    }
    
    // This helper class was generated by Procyon to approximate the behavior of an
    // 'invokedynamic' instruction that it doesn't know how to interpret.
    private static final class ProcyonInvokeDynamicHelper_9
    {
        private static final MethodHandles.Lookup LOOKUP = MethodHandles.lookup();
        private static MethodHandle handle;
        private static volatile int fence;
        
        private static MethodHandle handle() {
            final MethodHandle handle = ProcyonInvokeDynamicHelper_9.handle;
            if (handle != null)
                return handle;
            return ProcyonInvokeDynamicHelper_9.ensureHandle();
        }
        
        private static MethodHandle ensureHandle() {
            ProcyonInvokeDynamicHelper_9.fence = 0;
            MethodHandle handle = ProcyonInvokeDynamicHelper_9.handle;
            if (handle == null) {
                MethodHandles.Lookup lookup = ProcyonInvokeDynamicHelper_9.LOOKUP;
                try {
                    handle = ((CallSite)StringConcatFactory.makeConcatWithConstants(lookup, "makeConcatWithConstants", MethodType.methodType(String.class, String.class), "::\u0001")).dynamicInvoker();
                }
                catch (Throwable t) {
                    throw new UndeclaredThrowableException(t);
                }
                ProcyonInvokeDynamicHelper_9.fence = 1;
                ProcyonInvokeDynamicHelper_9.handle = handle;
                ProcyonInvokeDynamicHelper_9.fence = 0;
            }
            return handle;
        }
        
        private static String invoke(String p0) {
            try {
                return ProcyonInvokeDynamicHelper_9.handle().invokeExact(p0);
            }
            catch (Throwable t) {
                throw new UndeclaredThrowableException(t);
            }
        }
    }
}
